Debian Bug report logs - #439791
RM: gtk+extra17 -- RoQA; obsolete; no rdeps

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Frank Lichtenheld <djpig@debian.org>

Date: Mon, 27 Aug 2007 11:54:05 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bradley Bell <btb@debian.org>:
Bug#439791; Package gtk+extra17. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
New Bug report received and forwarded. Copy sent to Bradley Bell <btb@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gtk+extra17: Should be removed as obsolete?
Date: Mon, 27 Aug 2007 13:52:07 +0200
Package: gtk+extra17
Version: 0.99.17-2.2
Severity: grave


This source package seems to be superseeded by gtk+extra and should
probably be removed from the archive.

Please open a bug against ftp.debian.org asking for its removal if you
agree.

Gruesse,
	Frank

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (900, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-1-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Bell <btb@debian.org>:
Bug#439791; Package gtk+extra17. Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Bradley Bell <btb@debian.org>. Full text and rfc822 format available.

Message #10 received at 439791@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 439791@bugs.debian.org
Cc: Frank Lichtenheld <djpig@debian.org>, control@bugs.debian.org
Subject: Re: Bug#439791: gtk+extra17: Should be removed as obsolete?
Date: Sat, 12 Jan 2008 22:10:44 +0100
[Message part 1 (text/plain, inline)]
reassign 439791 ftp.debian.org
retitle 439791 RM: gtk+extra17 -- RoQA; obsolete; no rdeps
thanks

On Mon, Aug 27, 2007 at 01:52:07PM +0200, Frank Lichtenheld wrote:
> This source package seems to be superseeded by gtk+extra and should
> probably be removed from the archive.

Agreed.  And there are no rdeps in the archive.  So dear ftp-masters,
please remove this obsolete package.

Kind regards,
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `gtk+extra17' to `ftp.debian.org'. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Sat, 12 Jan 2008 21:12:03 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: gtk+extra17 -- RoQA; obsolete; no rdeps' from `gtk+extra17: Should be removed as obsolete?'. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Sat, 12 Jan 2008 21:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#439791; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #19 received at 439791@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@ganneff.de>
To: 439791@bugs.debian.org
Cc: djpig@debian.org, pkern@debian.org
Subject: not rmeoved yet
Date: Mon, 14 Jan 2008 23:05:21 +0100
Checking reverse dependencies...
** gdis has an unsatisfied build-dependency: libgtkextra-dev
Dependency problem found.
Continue (y/N)? 
Aborted.
-- 
bye Joerg
Dessen NOC erklaerte uns aber, dass das Mailproblem nicht an ihnen liegen
koennte der ihr Router habe gar keinen Port 25. Der habe nur 16 Ports.
Also kann Mails nichts mit Port 25 zu tun haben.
	-- Ulli Horlacher in <a38sqm$16csas$1@ID-124594.news.dfncis.de>




Tags added: moreinfo Request was from Joerg Jaspert <joerg@debian.org> to control@bugs.debian.org. (Mon, 14 Jan 2008 22:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#439791; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #26 received at 439791@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Joerg Jaspert <joerg@ganneff.de>
Cc: 439791@bugs.debian.org, pkern@debian.org
Subject: Re: not rmeoved yet
Date: Tue, 15 Jan 2008 12:07:44 +0100
On Mon, Jan 14, 2008 at 11:05:21PM +0100, Joerg Jaspert wrote:
> Checking reverse dependencies...
> ** gdis has an unsatisfied build-dependency: libgtkextra-dev
> Dependency problem found.
> Continue (y/N)? 
> Aborted.

libgtkextra-dev is a real package built by gtk+extra (which
seems to be the successor of gtk+extra17). So this
build-dependency is still satisfiable after the removal
of gtk+extra17.

It is also a virtual package provided by libgtkextra17-dev,
built by gtk+extra17, which might be the thing that confused
dak.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Severity set to `normal' from `grave' Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Tue, 15 Jan 2008 11:21:02 GMT) Full text and rfc822 format available.

Tags removed: moreinfo Request was from Joerg Jaspert <joerg@debian.org> to control@bugs.debian.org. (Tue, 15 Jan 2008 15:12:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#439791; Package ftp.debian.org. Full text and rfc822 format available.

Message #33 received at 439791@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Joerg Jaspert <joerg@ganneff.de>, 439791@bugs.debian.org
Cc: Frank Lichtenheld <djpig@debian.org>
Subject: Re: not rmeoved yet
Date: Wed, 16 Jan 2008 20:38:49 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 15, 2008 at 12:07:44PM +0100, Frank Lichtenheld wrote:
> On Mon, Jan 14, 2008 at 11:05:21PM +0100, Joerg Jaspert wrote:
> > Checking reverse dependencies...
> > ** gdis has an unsatisfied build-dependency: libgtkextra-dev
> > Dependency problem found.
> > Continue (y/N)? 
> > Aborted.
> libgtkextra-dev is a real package built by gtk+extra (which
> seems to be the successor of gtk+extra17). So this
> build-dependency is still satisfiable after the removal
> of gtk+extra17.

And it seems to be just a build dependency...  I don't see a package (on
amd64 that is), that depends on either libgtkextra-1.0-0 (by gtk+extra)
or libgtkextra17 (by gtk+extra17).  gdis does not have a binary
dependency on them.

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                             Debian Developer
: :' :  http://philkern.de                       Debian Release Assistant
`. `'   xmpp:phil@0x539.de                       Ubuntu MOTU
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frank Lichtenheld <djpig@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 439791-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 439791-close@bugs.debian.org
Cc: gtk+extra17@packages.debian.org, gtk+extra17@packages.qa.debian.org
Subject: Bug#439791: fixed
Date: Sun, 20 Jan 2008 00:41:16 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

gtk+extra17 | 0.99.17-2.2 | source
libgtkextra17 | 0.99.17-2.2+b1 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libgtkextra17-dev | 0.99.17-2.2+b1 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 439791@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Feb 2008 07:35:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:34:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.